function gForcesList() {}

gForcesList.prototype.initialize = function(){
    this.labelDiv = $('<div></div>').appendTo(this.rootElement).addClass('labelDiv');
    this.gDiv = $('<div class="gdiv"></div>').appendTo(this.rootElement).addClass('gDiv');
    this.tableG = $('<table><thead><tr><th> <b>G-Forces | Time</b> </th></tr></thead><tbody id="gtable"><tr></tr></tbody></table>').appendTo(this.rootElement).addClass('gTable');
	this.setup();
	};

gForcesList.prototype.setup = function(){
	var pRevious = 1;
};	
function appendToTableG (gdata) {
    $('#gtable tr:first').before('<tr style="text-align:right;"> <td style="text-align:center;"> ' + gdata[0] + ' </td> <td> ' + gdata[1] + ' </td></tr> ');
};
	
gForcesList.prototype.update = function (streams) {
    //convert to G
    var gForces = {};
    $.each(streams.sensors, function(index, val) {
        gForces[index] = val / 9.81;
    });
	var gForcesFull = ((gForces.gx+gForces.gy+gForces.gz));
	var gForcesRound = ((gForcesFull.toFixed(2)));
	this.labelDiv.html("G-Forces");
    this.gDiv.html(rSet(Math.abs(gForcesRound), 6, "0"));

    if ( pRevious > gForcesRound ) {appendToTableG([(Math.abs(gForcesRound).toFixed(2)), "0"])	};
	

	var pRevious = (Math.abs(gForcesRound));
};
